com.genesyslab.wfm7.API.service.schedule750

## Class SchAgentTotals

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchAgentTotals

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentTotals
      extends java.lang.Object
      implements java.io.Serializable

  Contains different agent work totals, such as Total Paid Hours, Total Effective Work Hours, and Time Off Hours, or any specified Schedule State summed for the specified time period and granularity.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswAgentId` Agent ID.
    `private double` | `wmEndDate` End date of period for calculated totals `OleDateTime`
    `private int` | `wmOvertimeMinutes` Total Overtime Time, in minutes (if requested)
    `private int` | `wmPaidMinutes` Total Paid Time, in minutes
    `private double` | `wmStartDate` Start date of period for calculated totals `OleDateTime`
    `private int` | `wmStateId` Schedule State ID
    `private int` | `wmStateMinutes` Total minutes on specified schedule state, designated by wmStateType + wmStateId
    `private int` | `wmStateType` Schedule State Type `ESchStateType`, whose calculated totals are stored in "wmStateMinutes".
    `private int` | `wmType` Totals' granularity `ESchTotalsType`
    `private int` | `wmWorkMinutes` Total Effective Work Time, in minutes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentTotals()`
    `SchAgentTotals(int gswAgentId, int wmType, double wmStartDate, double wmEndDate, int wmStateType, int wmStateId, int wmPaidMinutes, int wmWorkMinutes, int wmStateMinutes, int wmOvertimeMinutes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchAgentTotals.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this SchAgentTotals.
    `int` | `getWmOvertimeMinutes()` Gets the wmOvertimeMinutes value for this SchAgentTotals.
    `int` | `getWmPaidMinutes()` Gets the wmPaidMinutes value for this SchAgentTotals.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this SchAgentTotals.
    `int` | `getWmStateId()` Gets the wmStateId value for this SchAgentTotals.
    `int` | `getWmStateMinutes()` Gets the wmStateMinutes value for this SchAgentTotals.
    `int` | `getWmStateType()` Gets the wmStateType value for this SchAgentTotals.
    `int` | `getWmType()` Gets the wmType value for this SchAgentTotals.
    `int` | `getWmWorkMinutes()` Gets the wmWorkMinutes value for this SchAgentTotals.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchAgentTotals.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this SchAgentTotals.
    `void` | `setWmOvertimeMinutes(int wmOvertimeMinutes)` Sets the wmOvertimeMinutes value for this SchAgentTotals.
    `void` | `setWmPaidMinutes(int wmPaidMinutes)` Sets the wmPaidMinutes value for this SchAgentTotals.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this SchAgentTotals.
    `void` | `setWmStateId(int wmStateId)` Sets the wmStateId value for this SchAgentTotals.
    `void` | `setWmStateMinutes(int wmStateMinutes)` Sets the wmStateMinutes value for this SchAgentTotals.
    `void` | `setWmStateType(int wmStateType)` Sets the wmStateType value for this SchAgentTotals.
    `void` | `setWmType(int wmType)` Sets the wmType value for this SchAgentTotals.
    `void` | `setWmWorkMinutes(int wmWorkMinutes)` Sets the wmWorkMinutes value for this SchAgentTotals.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswAgentId

          private int gswAgentId

      Agent ID. A zero value means that the record contains gross totals for the period.

    - #### wmType

          private int wmType

      Totals' granularity `ESchTotalsType`

    - #### wmStartDate

          private double wmStartDate

      Start date of period for calculated totals `OleDateTime`

    - #### wmEndDate

          private double wmEndDate

      End date of period for calculated totals `OleDateTime`

    - #### wmPaidMinutes

          private int wmPaidMinutes

      Total Paid Time, in minutes

    - #### wmWorkMinutes

          private int wmWorkMinutes

      Total Effective Work Time, in minutes

    - #### wmOvertimeMinutes

          private int wmOvertimeMinutes

      Total Overtime Time, in minutes (if requested)

    - #### wmStateType

          private int wmStateType

      Schedule State Type `ESchStateType`, whose calculated totals are stored in "wmStateMinutes".

    - #### wmStateId

          private int wmStateId

      Schedule State ID

    - #### wmStateMinutes

          private int wmStateMinutes

      Total minutes on specified schedule state, designated by wmStateType + wmStateId

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchAgentTotals

          public SchAgentTotals()

    - #### SchAgentTotals

          public SchAgentTotals(int gswAgentId,
                        int wmType,
                        double wmStartDate,
                        double wmEndDate,
                        int wmStateType,
                        int wmStateId,
                        int wmPaidMinutes,
                        int wmWorkMinutes,
                        int wmStateMinutes,
                        int wmOvertimeMinutes)

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchAgentTotals.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchAgentTotals.
      Parameters:
        `gswAgentId` -

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this SchAgentTotals.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this SchAgentTotals.
      Parameters:
        `wmType` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this SchAgentTotals.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this SchAgentTotals.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this SchAgentTotals.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this SchAgentTotals.
      Parameters:
        `wmEndDate` -

    - #### getWmStateType

          public int getWmStateType()

      Gets the wmStateType value for this SchAgentTotals.
      Returns:
        wmStateType

    - #### setWmStateType

          public void setWmStateType(int wmStateType)

      Sets the wmStateType value for this SchAgentTotals.
      Parameters:
        `wmStateType` -

    - #### getWmStateId

          public int getWmStateId()

      Gets the wmStateId value for this SchAgentTotals.
      Returns:
        wmStateId

    - #### setWmStateId

          public void setWmStateId(int wmStateId)

      Sets the wmStateId value for this SchAgentTotals.
      Parameters:
        `wmStateId` -

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the wmPaidMinutes value for this SchAgentTotals.
      Returns:
        wmPaidMinutes

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int wmPaidMinutes)

      Sets the wmPaidMinutes value for this SchAgentTotals.
      Parameters:
        `wmPaidMinutes` -

    - #### getWmWorkMinutes

          public int getWmWorkMinutes()

      Gets the wmWorkMinutes value for this SchAgentTotals.
      Returns:
        wmWorkMinutes

    - #### setWmWorkMinutes

          public void setWmWorkMinutes(int wmWorkMinutes)

      Sets the wmWorkMinutes value for this SchAgentTotals.
      Parameters:
        `wmWorkMinutes` -

    - #### getWmStateMinutes

          public int getWmStateMinutes()

      Gets the wmStateMinutes value for this SchAgentTotals.
      Returns:
        wmStateMinutes

    - #### setWmStateMinutes

          public void setWmStateMinutes(int wmStateMinutes)

      Sets the wmStateMinutes value for this SchAgentTotals.
      Parameters:
        `wmStateMinutes` -

    - #### getWmOvertimeMinutes

          public int getWmOvertimeMinutes()

      Gets the wmOvertimeMinutes value for this SchAgentTotals.
      Returns:
        wmOvertimeMinutes

    - #### setWmOvertimeMinutes

          public void setWmOvertimeMinutes(int wmOvertimeMinutes)

      Sets the wmOvertimeMinutes value for this SchAgentTotals.
      Parameters:
        `wmOvertimeMinutes` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.